import Jama.*;
/**
 *  Supercompilation of the decision
 *  of system of the linear equations 
 */
public class SolveTest{
    public static final int dim = 5;
   // public static int iters = 100000;
    public static int iters = 10000;

    /**
      * System of the linear equations 
      */
    public static void main (String[] args) {
        double[][] b = new double[dim][1];
        Matrix res = new Matrix(dim,1);

        for (int it =  1; it <= 5; it++) {
            long start = System.currentTimeMillis();

            for (int ib = 0; ib < dim; ib++) {
                b[ib][0] = ib;
            }

            for (int i =  1; i <= iters; i++) {
                res = test(b);
            }

            res.print(2,3);

            long end = System.currentTimeMillis();
            System.out.println("Total time = "+ (end-start)*0.001);
        }
    }


    public static Matrix test(double[][] b) {
        Matrix b1 = new Matrix(dim,1);

        for (int i = 0; i < dim; i++) {
            b1.set(i, 0, b[i][0]);
        }

        Matrix A = matrA(dim);
        Matrix bx = A.solve(b1);
        return bx;
    }


    public static Matrix matrA (int n) {
        Matrix zz = new Matrix(n,n);
        for (int i = 0; i < n; i++) {
                for (int j = 0; j < n; j++) {
            zz.set(i, j, 1.0/(i+j+2) );
            }
        }
        return zz;
    }

}                
        

         